#include "common.h"
#include "bus/usart.h"

#include <stdio.h>

static void Puts(const char *str)
{
	while (*str != '\0') {
		USART_Putc(*str++);
	}
}

void Info(const char *fmt, ...)
{
	va_list ap;
	char msg[256];

	va_start(ap, fmt);
	vsnprintf(msg, sizeof(msg), fmt, ap);
	va_end(ap);

	Puts("[CORE] ");
	Puts(msg);
	Puts("\r\n");
}
